Description: Upstream a3ff15205c20b9bcaf9afc85fe45e33fe3259af4 fixing MKL concat bug
 Fix concat primitive descriptor creation bug
 .
 When there is tensor format mismatch between tf tensor and mkl tensor,
 the primitive descriptor creation will error out.
 .
 This fix allows MKL concat op to decide what format to use on its own.
 .
 It first creates concat w/o dst_md, then queries dst_pd from concat.
 .
 python-tensorflow-cuda (1.6.0-2) unstable; urgency=medium
 .
   * Merge upstream a3ff15205c20b9bcaf9afc85fe45e33fe3259af4 to fix
     inference bug when using Intel MKL:
     https://github.com/tensorflow/tensorflow/pull/22606
Author: Adam Cecile <acecile@le-vert.net>

---
Origin: upstream, https://github.com/tensorflow/tensorflow/pull/22606
Bug: https://github.com/tensorflow/tensorflow/issues/17494
Forwarded: not-needed
Reviewed-By: TensorFlow upstream
Last-Update: 2018-11-07

--- python-tensorflow-cuda-1.6.0.orig/tensorflow/core/kernels/mkl_concat_op.cc
+++ python-tensorflow-cuda-1.6.0/tensorflow/core/kernels/mkl_concat_op.cc
@@ -742,7 +742,8 @@ class MklConcatOp : public OpKernel {
       // then since MklDnn order is NCHW, concat_dim needs to be 1.
       if (are_all_mkl_inputs) concat_dim = input_shapes[0].TfDimIdx(concat_dim);
 
-      auto concat_pd = concat::primitive_desc(dst_md, concat_dim, srcs_pd);
+      auto concat_pd = concat::primitive_desc(concat_dim, srcs_pd);
+      auto dst_pd = concat_pd.dst_primitive_desc();
 
       MklDnnShape dnn_shape_dst;
       TensorShape tf_shape_dst;
